#31 Portage-2.2.8-r1 QA Notices on CDE-2.2.1 build

Unknown
closed
Jon Trulson
None
2014-09-22
2014-03-22
Starikov Sergey
No

Building on amd64 system, with gcc-4.7.3-r1 and glibc-2.17 I've found the following QA Notice messages:

  • QA Notice: make jobserver unavailable:
  • make[1]: warning: jobserver unavailable: using -j1. Add `+' to parent make rule.

  • QA Notice: Pre-stripped files found:

  • /bin/solaris/dtinfo
  • /bin/dtudcfonted
  • /usr/dt/bin/dttypes
  • /usr/dt/bin/nsgmls
  • /usr/dt/bin/dtinfo_start
  • /usr/dt/bin/dtinfogen_worker
  • /usr/dt/bin/dtpdmd
  • /usr/dt/bin/dtsrkdump
  • /usr/dt/bin/huffcode
  • /usr/dt/bin/dtsrclean
  • /usr/dt/bin/dtsrdelete
  • /usr/dt/bin/dtsrindex
  • /usr/dt/bin/dtsrload
  • /usr/dt/bin/dtsrhan
  • /usr/dt/bin/dtsrdbrec
  • /usr/dt/bin/dtsrcreate
  • /usr/dt/bin/dtpdm
  • /usr/dt/bin/xlate_locale
  • /usr/dt/bin/instant
  • /usr/dt/bin/dtimsstart
  • /usr/dt/bin/dtudcexch
  • /usr/dt/bin/ttsnoop
  • /usr/dt/bin/dtdspmsg
  • /usr/dt/bin/Test
  • /usr/dt/bin/dtprintinfo
  • /usr/dt/bin/dtcreate
  • /usr/dt/bin/dtbuilder
  • /usr/dt/bin/ab_func_strings
  • /usr/dt/bin/dtcodegen
  • /usr/dt/bin/dtappg
  • /usr/dt/bin/dtsp
  • /usr/dt/bin/dtcm_editor
  • /usr/dt/bin/dtcm_lookup
  • /usr/dt/bin/dtcm_insert
  • /usr/dt/bin/dtcm_delete
  • /usr/dt/bin/dtcm
  • /usr/dt/bin/dtksh
  • /usr/dt/bin/dtscreen
  • /usr/dt/bin/dtspcd
  • /usr/dt/bin/dtaction
  • /usr/dt/bin/dtcalc
  • /usr/dt/bin/logger
  • /usr/dt/bin/dtterm
  • /usr/dt/bin/dticon
  • /usr/dt/bin/dtdbcache
  • /usr/dt/bin/dtexec
  • /usr/dt/bin/dtstyle
  • /usr/dt/bin/dthello
  • /usr/dt/bin/dtsession
  • /usr/dt/bin/dtchooser
  • /usr/dt/bin/dtgreet
  • /usr/dt/bin/dtlogin
  • /usr/dt/bin/dtfplist
  • /usr/dt/bin/dtwm
  • /usr/dt/bin/dtfile_copy
  • /usr/dt/bin/dtfile
  • /usr/dt/bin/dtpad
  • /usr/dt/bin/dtmailpr
  • /usr/dt/bin/dtmail
  • /usr/dt/bin/dsdm
  • /usr/dt/bin/dthelpprint
  • /usr/dt/bin/dthelpgen
  • /usr/dt/bin/dthelpdemo
  • /usr/dt/bin/dthelpview
  • /usr/dt/bin/tttrace
  • /usr/dt/bin/tttar
  • /usr/dt/bin/ttsession
  • /usr/dt/bin/rpc.ttdbserver
  • /usr/dt/bin/ttauth
  • /usr/dt/bin/tt_type_comp
  • /usr/dt/bin/ttrmdir
  • /usr/dt/bin/ttcp
  • /usr/dt/bin/ttrm
  • /usr/dt/bin/ttmv
  • /usr/dt/bin/ttdbck
  • /usr/dt/bin/makedepend
  • /usr/dt/bin/imake
    strip: x86_64-pc-linux-gnu-strip --strip-unneeded -R .comment -R .GCC.command.line -R .note.gnu.gold-version
    usr/dt/lib/libDtTerm.so.2.1
    usr/dt/lib/libtt.so.2.1
    usr/dt/lib/libDtSvc.so.2.1
    usr/dt/lib/libDtHelp.so.2.1
    usr/dt/lib/libcsa.so.2.1
    usr/dt/lib/libDtPrint.so.2.1
    usr/dt/lib/libMotifApp.a
    usr/dt/lib/libDtXinerama.a
    usr/dt/lib/libDtMrm.so.2.1
    usr/dt/lib/libDtSearch.so.2.1
    usr/dt/lib/libDtWidget.so.2.1
    usr/dt/lib/libDtMmdb.so.2.1
    usr/dt/lib/libMMDB.a
    usr/dt/lib/libWWL.a
    ecompressdir: bzip2 -9 /usr/share/doc

  • QA Notice: Package triggers severe warnings which indicate that it

  • may exhibit random runtime failures.
  • wchar.c:233:10: warning: incompatible implicit declaration of built-in function ‘strlen’ [enabled by default]
  • wchar.c:264:10: warning: incompatible implicit declaration of built-in function ‘strlen’ [enabled by default]
  • Main.c:149:8: warning: incompatible implicit declaration of built-in function ‘exit’ [enabled by default]
  • Main.c:990:3: warning: incompatible implicit declaration of built-in function ‘exit’ [enabled by default]
  • Main.c:122:7: warning: incompatible implicit declaration of built-in function ‘exit’ [enabled by default]
  • Main.c:127:7: warning: incompatible implicit declaration of built-in function ‘exit’ [enabled by default]
  • Main.c:132:7: warning: incompatible implicit declaration of built-in function ‘exit’ [enabled by default]
  • Main.c:137:7: warning: incompatible implicit declaration of built-in function ‘exit’ [enabled by default]
  • Main.c:142:7: warning: incompatible implicit declaration of built-in function ‘exit’ [enabled by default]
  • Main.c:150:7: warning: incompatible implicit declaration of built-in function ‘exit’ [enabled by default]
  • Main.c:152:4: warning: incompatible implicit declaration of built-in function ‘exit’ [enabled by default]
  • PrintTopics.c:1086:8: warning: incompatible implicit declaration of built-in function ‘strftime’ [enabled by default]
  • PrintTopics.c:1101:8: warning: incompatible implicit declaration of built-in function ‘strftime’ [enabled by default]
  • ../../lib/libpp/ppproto.c:2181:39: warning: incompatible implicit declaration of built-in function ‘realloc’ [enabled by default]
  • copy.c:564:9: warning: incompatible implicit declaration of built-in function ‘sscanf’ [enabled by default]
  • format.c:170:70: warning: incompatible implicit declaration of built-in function ‘sscanf’ [enabled by default]
  • format.c:1035:38: warning: incompatible implicit declaration of built-in function ‘sscanf’ [enabled by default]
  • getdate.y:416:6: warning: incompatible implicit declaration of built-in function ‘strlen’ [enabled by default]
  • Icon.c:971:2: warning: incompatible implicit declaration of built-in function ‘free’ [enabled by default]
  • regerror.c:34:2: warning: incompatible implicit declaration of built-in function ‘exit’ [enabled by default]
  • merge.c:352:37: warning: incompatible implicit declaration of built-in function ‘strlen’ [enabled by default]
  • merge.c:354:17: warning: incompatible implicit declaration of built-in function ‘strcpy’ [enabled by default]
  • merge.c:359:37: warning: incompatible implicit declaration of built-in function ‘strlen’ [enabled by default]
  • merge.c:361:17: warning: incompatible implicit declaration of built-in function ‘strcpy’ [enabled by default]
  • merge.c:366:16: warning: incompatible implicit declaration of built-in function ‘strlen’ [enabled by default]
  • merge.c:368:17: warning: incompatible implicit declaration of built-in function ‘strcpy’ [enabled by default]

  • QA Notice: Package triggers severe warnings which indicate that it

  • may exhibit random runtime failures.
  • /usr/include/bits/string3.h:120:3: warning: call to builtin_strncpy_chk will always overflow destination buffer [enabled by default]

  • QA Notice: Package triggers severe warnings which indicate that it

  • may exhibit random runtime failures.
  • Threads.C:469:16: warning: converting to non-pointer type ‘Thread {aka unsigned int}’ from NULL [-Wconversion-null]
  • Threads.C:479:16: warning: converting to non-pointer type ‘Thread {aka unsigned int}’ from NULL [-Wconversion-null]
  • InterruptibleCmd.C:79:20: warning: converting to non-pointer type ‘XtWorkProcId {aka long unsigned int}’ from NULL [-Wconversion-null]
  • MotifCmds.C:99:25: warning: converting to non-pointer type ‘Boolean {aka char}’ from NULL [-Wconversion-null]
  • WorkingDialogManager.C:81:20: warning: converting to non-pointer type ‘XtIntervalId {aka long unsigned int}’ from NULL [-Wconversion-null]
  • AttachArea.C:1474:27: warning: converting to non-pointer type ‘long int’ from NULL [-Wconversion-null]
  • AttachArea.C:1474:43: warning: converting to non-pointer type ‘long int’ from NULL [-Wconversion-null]
  • RoamInterruptibleCmd.C:59:20: warning: converting to non-pointer type ‘XtWorkProcId {aka long unsigned int}’ from NULL [-Wconversion-null]
  • RoamMenuWindow.C:433:19: warning: converting to non-pointer type ‘Pixmap {aka long unsigned int}’ from NULL [-Wconversion-null]
  • RoamMenuWindow.C:434:19: warning: converting to non-pointer type ‘Pixmap {aka long unsigned int}’ from NULL [-Wconversion-null]
  • RoamMenuWindow.C:686:31: warning: converting to non-pointer type ‘Pixmap {aka long unsigned int}’ from NULL [-Wconversion-null]
  • SendMsgDialog.C:2895:23: warning: converting to non-pointer type ‘Boolean {aka char}’ from NULL [-Wconversion-null]
  • WMSaveSession.C:440:31: warning: converting to non-pointer type ‘char’ from NULL [-Wconversion-null]
  • WMSaveSession.C:641:31: warning: converting to non-pointer type ‘char’ from NULL [-Wconversion-null]
  • ttsnoop.C:345:26: warning: converting to non-pointer type ‘Pixmap {aka long unsigned int}’ from NULL [-Wconversion-null]
  • ttsnoop.C:346:31: warning: converting to non-pointer type ‘Pixmap {aka long unsigned int}’ from NULL [-Wconversion-null]

  • QA Notice: Package triggers severe warnings which indicate that it

  • may exhibit random runtime failures.
  • MotifUI.C:193:77: warning: passing NULL to non-pointer argument 2 of ‘int DtHelpReturnSelectedWidgetId(Widget, Cursor, _WidgetRec**)’ [-Wconversion-null]

  • QA Notice: Package triggers severe warnings which indicate that it

  • may exhibit random runtime failures.
  • cmsfunc.c:95:2: warning: function returns address of local variable [enabled by default]
  • rtable2.c:58:2: warning: function returns address of local variable [enabled by default]
  • rtable3.c:58:2: warning: function returns address of local variable [enabled by default]
  • rtable4.c:1562:2: warning: function returns address of local variable [enabled by default]
  • bil_store.c:630:3: warning: function returns address of local variable [enabled by default]

  • Please do not file a Gentoo bug and instead report the above QA

  • issues directly to the upstream developers of this software.
  • Homepage: https://sourceforge.net/projects/cdesktopenv/

Hope, it will help you to make CDE better.

P.S. Am I to describe my experience with building CDE on Gentoo GNU/Linux in project's wiki?

Discussion

1 2 > >> (Page 1 of 2)
  • Jon Trulson
    Jon Trulson
    2014-03-23

    On Sat, 22 Mar 2014, Starikov Sergey wrote:

    [...]

    Hope, it will help you to make CDE better.

    Thanks, I will look through these and see if I can address the more
    dangerous ones.

    P.S. Am I to describe my experience with building CDE on Gentoo GNU/Linux in project's wiki?

    If you would like - you can also post it to the CDE devel mailing list
    and Chris Turkel can add a page. If you have a sourceforge user id,
    send it to me in private email and I can add you to the list of members
    (who can edit the wiki).

    --
    Jon Trulson

     Last day, Capricorn fifteens. Year of the city, 2274.
     Carousel begins.
    
     
  • Jon Trulson
    Jon Trulson
    2014-03-23

    • status: open --> pending
    • assigned_to: Jon Trulson
     
  • Jon Trulson
    Jon Trulson
    2014-03-23

    I've addressed some of the more serious ones... Of course, there are yet many warnings in CDE that should be fixed... But the string and stdio related ones I fixed.

     
    • Thank you!

      Notices for today's build from git.
      Just not to search later.

      • QA Notice: Package triggers severe warnings which indicate that it
      • may exhibit random runtime failures.
      • InterruptibleCmd.C:79:20: warning: converting to non-pointer type ‘XtWorkProcId {aka long unsigned int}’ from NULL [-Wconversion-null]
      • MotifCmds.C:99:25: warning: converting to non-pointer type ‘Boolean {aka char}’ from NULL [-Wconversion-null]
      • WorkingDialogManager.C:81:20: warning: converting to non-pointer type ‘XtIntervalId {aka long unsigned int}’ from NULL [-Wconversion-null]
      • AttachArea.C:1474:27: warning: converting to non-pointer type ‘long int’ from NULL [-Wconversion-null]
      • AttachArea.C:1474:43: warning: converting to non-pointer type ‘long int’ from NULL [-Wconversion-null]
      • RoamInterruptibleCmd.C:59:20: warning: converting to non-pointer type ‘XtWorkProcId {aka long unsigned int}’ from NULL [-Wconversion-null]
      • RoamMenuWindow.C:433:19: warning: converting to non-pointer type ‘Pixmap {aka long unsigned int}’ from NULL [-Wconversion-null]
      • RoamMenuWindow.C:434:19: warning: converting to non-pointer type ‘Pixmap {aka long unsigned int}’ from NULL [-Wconversion-null]
      • RoamMenuWindow.C:686:31: warning: converting to non-pointer type ‘Pixmap {aka long unsigned int}’ from NULL [-Wconversion-null]
      • SendMsgDialog.C:2895:23: warning: converting to non-pointer type ‘Boolean {aka char}’ from NULL [-Wconversion-null]
      • WMSaveSession.C:440:31: warning: converting to non-pointer type ‘char’ from NULL [-Wconversion-null]
      • WMSaveSession.C:641:31: warning: converting to non-pointer type ‘char’ from NULL [-Wconversion-null]
      • ttsnoop.C:345:26: warning: converting to non-pointer type ‘Pixmap {aka long unsigned int}’ from NULL [-Wconversion-null]
      • ttsnoop.C:346:31: warning: converting to non-pointer type ‘Pixmap {aka long unsigned int}’ from NULL [-Wconversion-null]

      • QA Notice: Package triggers severe warnings which indicate that it

      • may exhibit random runtime failures.
      • bil_store.c:630:3: warning: function returns address of local variable [enabled by default]

      • Please do not file a Gentoo bug and instead report the above QA

      • issues directly to the upstream developers of this software.
      • Homepage: https://sourceforge.net/projects/cdesktopenv/
       
      • Jon Trulson
        Jon Trulson
        2014-04-06

        On Mon, 31 Mar 2014, Starikov Sergey wrote:

        Thank you!

        Notices for today's build from git.
        Just not to search later.

        Thanks, I've fixed these too.

        --
        Jon Trulson

         Last day, Capricorn fifteens. Year of the city, 2274.
         Carousel begins.
        
         
  • Joshua Kinard
    Joshua Kinard
    2014-04-17

    Starikov: Is your ebuild available anywhere, by chance?

     
    • Joshua Kinard
      Joshua Kinard
      2014-04-17

      Nevermind, I found it in Gentoo's Bugzilla.

       
      • Please, note: the live (-9999) version of ebuild in this bug yet is NOT up to date.
        Because of at the time of last check git version was a little bit broken.
        Almost all needed checks are in release (first opensource version) version ebuild.

        The rest questions about Gentoo integration of the CDE (the are some) lets discuss in native (Gentoo) bug tracker.

         
  • dup

     
    Last edit: Starikov Sergey 2014-04-17
  • Jon Trulson
    Jon Trulson
    2014-09-14

    Fixed in 2.2.2.

     
1 2 > >> (Page 1 of 2)